Appearance
List Data
List available data items in your project.
Endpoint
https://next.seen.io/v1/projects/{Project_ID}/dataYou can find your endpoint in the Run page of your project.
Request Method
GET
Request Headers
Authorization
This header is common to all requests to our API. Please see the Authorization section for more details.
Content-Type
Content-Type should be configured as application/json.
You can find the headers in the Run page of your project.
Query Parameters
The List Data endpoint supports the following query parameters:
q- Query, e.g.
first_name:Daniel+country:Norwayto match multiple properties at once -String
- Query, e.g.
limit- Limit the amount of data items returned -
Integer
- Limit the amount of data items returned -
offset- Exclude first N items from the data items returned -
Integer
- Exclude first N items from the data items returned -
Example Requests
List all Data
https://next.seen.io/v1/projects/{Project_ID}/dataList all data that match a query
https://next.seen.io/v1/projects/{Project_ID}/data?q=first_name:DanielRemember to match the query fields with your Project properties.
To match on multiple properties at once, join the conditions with +. Example: ?q=first_name:Daniel+country:Norway
Limit the amount of data listed
https://next.seen.io/v1/projects/{Project_ID}/data?limit=100Offset the amount of data listed
https://next.seen.io/v1/projects/{Project_ID}/data?offset=100Rate Limit
Seen API accepts up to 100 requests per 10 seconds.
Responses
Upon posting the request, you will receive one of the following responses from our API:
200
Upon a successful request, you will receive a 200 OK response.
json
{
"count": 1,
"data": [
{
"id": "...",
"journeyOutputs": [
{
"id": "...",
"motions": [
{
"emailThumbnail": "https://motions.seen.io/2b183354-3aa3-4eda-9416-045b3178fe6e/5b0461194f3092c033a6be518229e93b9b85e2db73c4e166e87c397ba9570f6e/email_thumbnail.jpg",
"id": "...",
"thumbnail": "https://motions.seen.io/2b183354-3aa3-4eda-9416-045b3178fe6e/5b0461194f3092c033a6be518229e93b9b85e2db73c4e166e87c397ba9570f6e/thumbnail.jpg"
}
],
"players": [
{
"id": "...",
"link": "https://player.seen.io/v/eHmnkM2wqAWcgkQQmxPP"
}
],
"webhook": null
}
],
"values": {
"country": "Norway",
"first_name": "Daniel"
}
}
],
"elementsPerPage": 20
}400
Upon a bad request, you will receive a 400 Bad Request response.
json
{
"code": "ErrInvalidParameter",
"message": "limit must be a positive number"
}401
Upon an unauthorized request, you will receive a 401 Unauthorized response.
json
{
"code": "ErrUnauthenticated",
"message": "api key invalid"
}429
Upon exceeding the rate limit, you will receive a 429 Too Many Requests response.
429 Too Many Requests500
Upon a client error, you will receive a 500 Internal Server Error response.
json
{
"code": "ErrClient",
"message": "service unavailable"
}